---
apiVersion: argoproj.io/v1alpha1
kind: ApplicationSet
metadata:
  name: srv-thanos
  namespace: argocd
spec:
  generators:
  - clusters:
      selector:
        matchLabels:
          central: "true"
  template:
    metadata:
      name: '{{name}}-thanos'
      labels:
        area: "infra"
        type: "service"
    spec:
      project: default
      source:
        repoURL: https://gitlab.cern.ch/kubernetes/automation/101/argocd.git
        targetRevision: master
        path: srv/thanos
        plugin: {}
      destination:
        server: '{{server}}'
        namespace: thanos
      syncPolicy:
        automated:
          allowEmpty: true
          prune: true
          selfHeal: true
        syncOptions:
          - CreateNamespace=true
